﻿using System.Threading;
using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware.NetduinoPlus;

using Microtoolskit.Hardware.Displays;


namespace NetduinoESCBrushless
{
    public class Program
    {
        public static void Main()
        {
            // Afficheur à connecter sur O5 de Tinkerkit
            var lcd = new ELCD162();

            // Potentiomètre de réglage de la fréquence de rotation du moteur bas
            var potMotBas = new AnalogInput(Cpu.AnalogChannel.ANALOG_0);
            potMotBas.Scale = 100;

            // Paramètres de réglage pour le régulateur GROUPNER S3055
            var scale = PWM.ScaleFactor.Microseconds;
            uint duration = 1000;
            uint period = 10000;

            // Signal de commande pour le moteur Bas  
            var EscMotBas = new PWM(PWMChannels.PWM_PIN_D11, period, duration, scale, false);

            // Initialisations 
            EscMotBas.Start(); lcd.Init(); lcd.ClearScreen();

            while (true)
            {
                lcd.ClearScreen();
                double reglage = potMotBas.Read();
                EscMotBas.Duration = 1000 + (uint)(reglage * 10);
                lcd.PutString("t1MotB = " + EscMotBas.Duration.ToString("F0") + "us");
                Thread.Sleep(200);
            }
        }

    }
}
